package com.lukouguoji.gjj.holder

import android.view.View
import com.lukouguoji.gjj.databinding.ItemPacketParseBinding
import com.lukouguoji.module_base.base.BaseViewHolder
import com.lukouguoji.module_base.bean.PacketParseBean
import com.lukouguoji.module_base.ktx.loge

class GjjPacketParseViewHolder(view: View) :
    BaseViewHolder<PacketParseBean, ItemPacketParseBinding>(view) {

    override fun onBind(item: Any?, position: Int) {
        val bean = getItemBean(item) ?: return
        binding.bean = bean

        notifyItemClick(position, binding.ll)
        notifyItemClick(position, binding.ivIcon)
    }
}